package com.mmc.iuav.user.service;

import com.mmc.iuav.response.ResultBody;
import com.mmc.iuav.user.model.dto.RealNameAuthDTO;
import com.mmc.iuav.user.model.dto.RealNameAuthDetailDTO;
import com.mmc.iuav.user.model.qo.RealNameAuthQO;
import com.mmc.iuav.user.model.vo.RealNameAuthVO;

/**
 * @author: zj
 * @Date: 2023/7/27 10:07
 */
public interface RealNameAuthService {
    ResultBody add(RealNameAuthVO realNameAuthVO);

    ResultBody<RealNameAuthDetailDTO> detail(Integer id);

    ResultBody<RealNameAuthDTO> listPage(RealNameAuthQO realNameAuthQO);

    ResultBody<RealNameAuthDTO> userDetail(Integer userAccountId);

    ResultBody updateRealNameAuthRemark(Integer id, String remark);
}
